﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;


namespace WindowsFormsApplication1
{
    using Infragistics.Win;
    using Infragistics.Win.Layout;
    using Infragistics.Win.UltraWinEditors;
    using Infragistics.Win.UltraWinToolbars;
    using Infragistics.Win.UltraWinTree;

    using Appearance = Infragistics.Win.Appearance;

    public partial class Form1 : Form
    {
        private DataSet ultraCombo1Data;
        public Form1()
        {
            InitializeComponent();
            this.ultraCombo1.DropDownStyle = UltraComboStyle.DropDownList;
            this.ultraCombo1.BeforeDropDown += this.UltraDropdown_BeforeDropDown;
            
        }

        private void InitData()
        {
            ultraCombo1Data = new DataSet();
            DataTable dt = new DataTable("MyTable");
            dt.Columns.Add(new DataColumn("id", typeof(string)));

            DataRow dr = dt.NewRow();
            dr["id"] = "AB";
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr["id"] = "AC";
            dt.Rows.Add(dr);
            dr = dt.NewRow();
            dr["id"] = "AD";
            dt.Rows.Add(dr);
            ultraCombo1Data.Tables.Add(dt);
        }

        private void UltraDropdown_BeforeDropDown(object sender, CancelEventArgs e)
        {
            InitData();
            this.ultraCombo1.DataSource = ultraCombo1Data;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
        }

        
    }
}
